{{#if @selection.isHighlight}}
  <Manage::PageSectionEditor
      @value={{this.value}}
      @editor={{@selection.editor}}
      @element={{@selection.element}}
      @gid={{@selection.gid}}
      @model={{@model}}
      @space={{@model.space}}
      @onChange={{this.changeHighlight}}
    />
{{else}}
  {{#if (eq @selection.type "page")}}
    <Input::Options::PageOptions
      class="page-options-sheet"
      @modelId={{@model.selectedId}}
      @onModelIdChange={{@onModelIdChange}}
      @onSpaceChange={{@onSpaceChange}}
      @page={{@model.page}}
      @space={{@model.space}}
      @spaceList={{@model.teamSpaces}}
      @onRevertPage={{@onRevertPage}}
    />
  {{/if}}

  {{#if (eq @selection.type "container")}}
    <Manage::ContainerBackgroundLayers
      class="container-options-sheet"
      @value={{@model.page}}
      @onChange={{this.changeColByName}}
      @selectedContainer={{@selection.data}}
      @deviceSize={{@deviceSize}}
      @onRemoveCol={{this.removeCol}}
      @space={{@model.space}}
    />
  {{/if}}

  {{#if this.isPageColEditor}}
    <Manage::PageColEditor
      @value={{@selection.data}}
      @model={{@model}}
      @deviceSize={{@deviceSize}}
      @onChange={{this.changeSelectedCol}}
      @onRemoveCol={{this.removeCol}}
      @space={{@model.space}}
    />
  {{/if}}

  {{#if this.isSectionEditor}}
    {{#each @selection.groups as |group|}}
      <Manage::PageSectionEditor
        @value={{@selection.data.data.container}}
        @editor={{group.editor}}
        @property={{group.property}}
        @model={{@model}}
        @deviceSize={{@deviceSize}}
        @onChange={{fn this.changeGroup group.property}}
      @space={{@model.space}}
      />
    {{/each}}
  {{/if}}

  {{#if (eq @selection.type "component-container")}}
    <Manage::PageSectionEditor
      @value={{@selection.data.data.container}}
      @editor="base/container"
      @property="container"
      @model={{@model}}
      @deviceSize={{@deviceSize}}
      @onChange={{fn this.changeGroup "container"}}
      @space={{@model.space}}
    />
  {{/if}}

  {{#if (eq @selection.type "row")}}
    <Manage::PageSectionEditor
      @value={{@selection.data}}
      @editor="base/container"
      @property="container"
      @model={{@model}}
      @deviceSize={{@deviceSize}}
      @onChange={{fn this.changeGroup "container"}}
      @space={{@model.space}}
    />
  {{/if}}
{{/if}}